﻿@model FileProject.Models.FileData

@{
    ViewBag.Title = "Show";
}

<h2>EDIT FILE INPUT</h2>

@using (Html.BeginForm("Show", "SaveFile", FormMethod.Post, new
{
    enctype = "multipart/form-data"
}))
{
    @Html.AntiForgeryToken()

    <div class="form-horizontal">
        <hr />
        @Html.ValidationSummary(true, "", new { @class = "text-danger" })

        <div class="form-group" id="sn">
            @Html.LabelFor(model => model.SN, htmlAttributes: new { @class = "control-label col-md-2" })
            <div class="col-md-10">
                @Html.EditorFor(model => model.SN, new { htmlAttributes = new { @class = "form-control" } })
                @Html.ValidationMessageFor(model => model.SN, "", new { @class = "text-danger" })
            </div>
        </div>
        <div class="form-group" id="F101">
            @Html.LabelFor(model => model.PhotoPath, htmlAttributes: new { @class = "control-label col-md-2" })
            <div class="col-md-10">
                <input type="file" name="PhotoFile" id="PhotoPath" class="custom-file-input" accept="application/pdf" />
                <input type="text" id="txtFileName" name="txtFileName" />
                <ul class="attachment" style="list-style: none;">
                    <li id="pli">
                        @{
                            var PhotoSource = Model.ShowPhotoPath == null ? "" : Url.Content(Model.ShowPhotoPath);
                        }
                        <table class="table">
                            <tr>
                                <td>
                                    <a style="font-weight:bold" href="@PhotoSource" target="_blank">@(Model.PhotoName)</a>
                                </td>
                                <td  style="text-align:center;width:25%">
                                    @if (Model.ShowPhotoPath != null)
                                    {
                                        <a href="javascript:void(0);" data-id="@Model.SN" id="deleteItem" class="btn btn-danger">Delete</a>
                                    }
                                </td>
                            </tr>
                        </table>
                    </li>
                </ul>

                @Html.ValidationMessageFor(model => model.PhotoPath, "", new { @class = "text-danger" })
            </div>
        </div>
        <br/>
        <div class="form-group" id="C101">
            @Html.LabelFor(model => model.CertificatePath, htmlAttributes: new { @class = "control-label col-md-2" })
            <div class="col-md-10">
                <input type="file" name="CertificateFile" id="CertificatePath" class="custom-file-input" accept="application/pdf" />
                <input type="text" id="txtFileName1" name="txtFileName1" />
                <ul class="attachment" style="list-style: none;">
                    <li id="cli">
                        @{
                            var CertificateSource = Model.ShowCertificatePath == null ? "" : Url.Content(Model.ShowCertificatePath);
                        }
                        <table class="table">
                            <tr>
                                <td>
                                    <a style="font-weight:bold" href="@CertificateSource" target="_blank">@(Model.CertificateName)</a>
                                </td>
                                <td style="text-align:center;width:25%">
                                    @if (Model.ShowCertificatePath != null)
                                    {
                                        <a href="javascript:void(0);" data-id="@Model.SN" id="deleteCertificate" class="btn btn-danger">Delete</a>
                                    }
                                </td>
                            </tr>
                        </table>                        
                        @*<a style="font-weight:bold" href="@Url.Content(Model.ShowCertificatePath)" target="_blank">@(Model.CertificateName)</a>*@
                    </li>
                </ul>
                @Html.ValidationMessageFor(model => model.CertificatePath, "", new { @class = "text-danger" })
            </div>
        </div>
        <table class="table">
            <tr>
                <td style="text-align:center;width:25%">
                    <input type="submit" name="saveBtn" value="Save" class="btn btn-primary" />
                </td>
                <td style="text-align:center;width:25%">
                    <input type="submit" name="cnBtn" value="Cancel" class="btn btn-danger" />
                </td>
            </tr>
        </table>        
    </div>
}

<div>
    @Html.ActionLink("Back to List", "Index")
</div>

@section Scripts {
<script>
    $("#sn").hide();
    $("#txtFileName").hide();
    $("#txtFileName1").hide();
    $('#F101').change(function () {
        
        var x = $("#PhotoPath").val();
        
        console.log(x);

        var fname = (document.getElementById('PhotoPath').value).substring(12);

            var re = /(\.pdf)$/i;

            if (re.exec(fname)) {

                document.getElementById('txtFileName').value = (document.getElementById('PhotoPath').value).substring(12);
                
                var sizePhoto = $('#PhotoPath')[0].files[0].size;
                if (sizePhoto > 1000000) {
                    alert("Please upload file less than 1 MB. Thanks!!");
                    $("#PhotoPath").val("");
                }
                else {
                    $("#pli").hide();
                }
            }

            else
            {
                $("#PhotoPath").val("");
                alert("File not supported. Please select Pdf file.");
            }
    });

    $('#C101').change(function () {
        
        var y = $("#CertificatePath").val();
        console.log(y);
        var fname = (document.getElementById('CertificatePath').value).substring(12);

            var re = /(\.pdf)$/i;

            if (re.exec(fname))
            {

                document.getElementById('txtFileName1').value = (document.getElementById('CertificatePath').value).substring(12);
                
                var sizeCertificate = $('#CertificatePath')[0].files[0].size;;
                if (sizeCertificate > 1000000) {
                    alert("Please upload file less than 1 MB. Thanks!!");
                    $("#CertificatePath").val("");
                }
                else {
                    $("#cli").hide();
                }
            }
            
            else
            {
                $("#CertificatePath").val("");
                alert("File not supported. Please select Pdf file.");
            } 
    });

    $("#deleteItem").click(function (e) {
           e.preventDefault();
           var $ctrl = $(this);
           if (confirm('Do you really want to delete this file?')) {
               $.ajax({
                   url: '@Url.Action("DeleteFile")',
                   type: 'POST',
                   data: { SN: $(this).data('id') }
               }).done(function (data) {
                   if (data.Result == "OK") {
                       $ctrl.closest('li').remove();
                   }
                   else if (data.Result.Message) {
                       alert(data.Result.Message);
                   }
               }).fail(function () {
                   alert("There is something wrong. Please try again.");
               })

           }
    });
    $("#deleteCertificate").click(function (e) {
           e.preventDefault();
           var $ctrl = $(this);
           if (confirm('Do you really want to delete this file?')) {
               $.ajax({
                   url: '@Url.Action("DeleteCertificate")',
                   type: 'POST',
                   data: { SN: $(this).data('id') }
               }).done(function (data) {
                   if (data.Result == "OK") {
                       $ctrl.closest('li').remove();
                   }
                   else if (data.Result.Message) {
                       alert(data.Result.Message);
                   }
               }).fail(function () {
                   alert("There is something wrong. Please try again.");
               })

           }
       });
      
    </script>

}
